espeakup (1:0.80-16build1) focal; urgency=medium

  * Nochange rebuild with the new espeak version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Dec 2019 15:19:05 +0100

espeakup (1:0.80-16) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/espeakup-udeb.start: Do not use sleep with subsecond durations.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * espeakup-udeb.start: Print the number of detected cards.
  * watch: Generalize pattern.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: Bug#929865)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:40:45 +0100

espeakup (1:0.80-15) unstable; urgency=medium

  * debian/espeakup-udeb.start: Wait longer for sound cards...
    (Closes: Bug#929169).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 May 2019 16:37:19 +0200

espeakup (1:0.80-14) unstable; urgency=medium

  * rules: Restart espeakup after upgrade (Closes: Bug#925973).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Mar 2019 17:03:23 +0100

espeakup (1:0.80-13) unstable; urgency=medium

  * debian/espeakup.finish-install: Fix writing down card id.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 Feb 2019 15:44:59 +0100

espeakup (1:0.80-12) unstable; urgency=medium

  * debian/espeakup.service: Fix compatibility with older versions of systemd
    (see Bug#913453). Also fix starting with empty voice language.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Nov 2018 17:45:44 +0100

espeakup (1:0.80-11) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * debian/espeakup.service: Automatically load speakup_soft on daemon
    startup (Closes: Bug#911120)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Oct 2018 23:17:16 +0200

espeakup (1:0.80-10) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes).
  * patches/mutex: Add missing mutex_lock/unlock calls.
  * patches/audio-pause: Pause espeak when the console is switched to a
    graphical VT.
  * espeakup-udeb.finish-install: Do not remove pulseaudio, now that espeakup
    releases the audio card automatically.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2018 21:48:36 +0200

espeakup (1:0.80-9) unstable; urgency=medium

  [ Victor Ibragimov ]
  * Add Tajik translation (closes: Bug#890081).

  [ Samuel Thibault ]
  * Fix path to voice definitions.  Fixes language auto-switch in d-i.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Mar 2018 00:40:12 +0100

espeakup (1:0.80-8) unstable; urgency=medium

  * Configure debconf frontend to readline on the installed system for better
    accessibility.
  * When installing with espeakup, remove pulseaudio and set speech dispatcher
    to libao.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2017 22:51:34 +0100

espeakup (1:0.80-7) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * po/sq.po: Add Albanian debconf translation.
  * debian/espeakup-udeb.start: Fix case where card 0 does not have an id or
    where cards have non-contiguous indexes.
  * debian/control: Build-dep on debhelper (>= 9.20160709) instead of
    dh-systemd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Nov 2017 00:20:02 +0100

espeakup (1:0.80-6) unstable; urgency=medium

  [ Samuel Thibaul ]
  * patches/space: Fix spelling space character.
  * patches/unicode: Enable unicode support.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.
  * patches/empty-default: Make empty voice name select the default voice
    (Closes: Bug#872194).

  [ Valentin Vidic ]
  * Croatian translation of debconf message (Closes: Bug#859323).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Aug 2017 00:53:51 +0200

espeakup (1:0.80-5) unstable; urgency=medium

  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:25:54 +0100

espeakup (1:0.80-3) unstable; urgency=medium

  * espeakup-udeb:
    - Avoid issues with sound board names containing spaces.
    - Fix races with starting espeakup.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Nov 2016 00:30:23 +0100

espeakup (1:0.80-2) unstable; urgency=medium

  Switch to espeak-ng (Closes: #833658)
  * control: Replace libespeak-dev, libportaudio19-dev, libjack-dev with
    libespeak-ng-libespeak-dev and libpcaudio-dev.
  * rules: Define symbol create_pulseaudio_object to create_alsa_object so that
    we don't need to link espeakup-udeb with pulseaudio.
  * control: Make espeakup depend on lsb-base (>= 3.0-6) for
    /lib/lsb/init-functions.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Nov 2016 00:42:41 +0100

espeakup (1:0.80-1) unstable; urgency=medium

  * New upstream release.
    - docs: Remove ToDo.
    - patches/{keystrokes,pidfile,voice,daemon}: Remove, merged upstream.
    - rules: Set PREFIX to /usr.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Aug 2016 23:28:43 +0200

espeakup (1:0.71-28) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/daemon: Replace daemon() call with proper daemonizing code
    (Closes: #775131)
  * espeakup.defaults: Do not export ALSA_CARD variable, this is not accepted by
    systemd (and it exports it already anyway).
  * espeakup.postinst: Drop "export" from defaults file on upgrade accordingly.
  * espeakup.init: Export ALSA_CARD variable. Drop STARTTIME.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jul 2016 01:21:49 +0200

espeakup (1:0.71-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install espeakup.service. (Closes: #796608)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 03 Jul 2016 20:52:49 +0200

espeakup (1:0.71-27) unstable; urgency=high

  [ Samuel Thibault ]
  * Drop libnss-files-udeb dependency (Closes: #819684)
  * espeakup-udeb.postinst: Only preseed installing MATE desktop by default when
    espeakup is really running.

  [ Cyril Brulebois ]
  * Bump urgency to high for the upcoming D-I Stretch Alpha 6 release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 19 May 2016 21:07:39 +0200

espeakup (1:0.71-26) unstable; urgency=medium

  * espeakup-udeb.start: On multiboard systems, request the user to press
    enter at the right time only, not a number.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2016 01:34:44 +0100

espeakup (1:0.71-25) unstable; urgency=high

  * control: Bump Standards-Version to 3.9.7 (no change).
  * espeakup.init: Fix detection when the number of the card is given instead of
    the id.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Feb 2016 10:44:50 +0100

espeakup (1:0.71-24) unstable; urgency=medium

  * speakup-udeb: Use a dumb menu to deal with multiple sound cards, and make
    sure the installed system uses it.
  * speakup.init: When the card is specified, wait for it to become available
    before starting the daemon.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Jan 2016 00:29:22 +0100

espeakup (1:0.71-23) unstable; urgency=medium

  * patches/voice: Fix looking up voices by language name.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Jan 2016 01:13:40 +0100

espeakup (1:0.71-22) unstable; urgency=medium

  * Re-upload with 1:0.71-19 changes from Jessie included.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2016 17:55:08 +0100

espeakup (1:0.71-21) unstable; urgency=medium

  * espeakup-udeb.restart:
    - Make looking up available languages independent from file hierarchy, thus
    fixing all language (but de, en, fr, pt which were still working)...  This
    also allows dropping special-casing nb into no.
    - Use portuguese for galician, since they are so close, and portuguese
    will always be better than english anyway.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2015 15:22:01 +0100

espeakup (1:0.71-20) unstable; urgency=medium

  * espeakup-udeb.postinst: Preseed installing MATE desktop by default when
     espeakup is used in d-i.
  * compat: Bump to 9.
  * rules: Clear.
  * patches: Switch to 3.0 patch system.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 14:20:21 +0100

espeakup (1:0.71-19) unstable; urgency=medium

  * Enable STARTTIME to work around racy daemon start test.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jan 2015 21:14:54 +0100

espeakup (1:0.71-18) unstable; urgency=medium

  * synth.c: Fix spelling capital keystrokes (Closes: #770753)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Nov 2014 21:07:37 +0100

espeakup (1:0.71-17) unstable; urgency=medium

  * synth.c: Fix spelling keystrokes and char-by-char echo
    (Closes: #767595)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Nov 2014 16:45:00 +0100

espeakup (1:0.71-16) unstable; urgency=medium

  * po/el.po: Greek translation (Closes: #685552)
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Oct 2014 16:59:03 +0200

espeakup (1:0.71-15) unstable; urgency=medium

  [ Samuel Thibault ]
  * espeakup.default: Fix documented path to voices.
  * rules: Set the espeak:Version subst variable.
  * control: Add a version to the espeakup-udeb dependency on espeak-data-udeb.

  [ Paul Gevers ]
  * Add d/watch file to track upstream
  * Korean translation by Changwoo Ryu (Closes: #745549)
  * Acknowledge NMU (Closes: #753109)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 11:53:11 +0200

espeakup (1:0.71-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace alsa-base-udeb dependency with libkmod2-udeb (>= 17-1~)
    (Closes: Bug#753109).

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Jun 2014 08:38:32 +0200

espeakup (1:0.71-14) unstable; urgency=medium

  * Rebuild against latest espeak.  Closes: #740021.
  * control: Use Package-Type instead of XC-Package-Type.
  * Bump Standards-Version to 3.9.5.
  * Redirect espeakup-udeb's stdout to log file too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 22:10:23 -0500

espeakup (1:0.71-13) unstable; urgency=low

  [ Christian Perrier ]
  * Fix Thai and Latvian translations encoding (reported by Jakub Wilk in
    debian-i18n)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Dec 2012 01:05:30 +0100

espeakup (1:0.71-12) unstable; urgency=low

  [ Debconf translations ]
  * Kannada (Mallikarjuna).  Closes: #694410

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Dec 2012 22:59:15 +0100

espeakup (1:0.71-11) unstable; urgency=low

  * softsynth.c: Cherry-pick fix from upstream: pass '\n' to espeak too for e.g.
  proper pause.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2012 22:19:04 +0200

espeakup (1:0.71-10) unstable; urgency=low

  * espeakup-udeb.restart: Fix voice path according to multiarch switch.
    Closes: #682313

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Jul 2012 21:44:51 +0900

espeakup (1:0.71-9) unstable; urgency=low

  [ Debconf translations ]
  * Welsh (Daffyd Tomos)
  * Basque (Piarres Beobide).  Closes: #671885
  * Thai (Theppitak Karoonboonyanan).  Closes: #672216
  * Traditional Chinese (Vincent Chen).  Closes: #672322
  * Galician (Jorge Barreiro).  Closes: #676993
  * Norwegian Bokmål (Hans Fredrik Nordhaug).  Closes: #678344

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Jun 2012 14:21:27 -0300

espeakup (1:0.71-8) unstable; urgency=low

  [ Debconf translations ]
  * Latvian (Rūdolfs Mazurs).  Closes: #674696
  * Lithuanian (Rimas Kudelis).  Closes: #675627

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jun 2012 12:27:38 +0200

espeakup (1:0.71-7) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Debconf translations ]
  * Gujarati (Kartik Mistry).  Closes: #662102
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #662177
  * Belarusian (Viktar Siarheichyk).  Closes: #662609
  * Telugu (Arjuna Rao Chavala).  Closes: #663208
  * Khmer (Khoem Sokhem).
  * Asturian (Mikel González).
  * Marathi (Sampada Nakhare)
  * Slovenian (Vanja Cvelbar).  Closes: #670617

  [ Christian Perrier ]
  * Rename debconf template to "debian-installer/espeakup-udeb/title"
    for localization to really work.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2012 13:37:47 +0200

espeakup (1:0.71-6.1) unstable; urgency=low

  * Non-maintainer upload, approved by Samuel.

  [ Debconf translations ]
  * Catalan (Jordi Mallach). Closes: #661414 

 -- Jordi Mallach <jordi@debian.org>  Sat, 03 Mar 2012 14:13:38 +0100

espeakup (1:0.71-6) unstable; urgency=low

  [ Debconf translations ]
  * Ukrainian (Anton Gladky).  Closes: #654299
  * Esperanto (David Paleino).  Closes: #656533
  * Indonesian (Mahyuddin Susanto).  Closes: #656555
  * Japanese (Kenshi Muto).  Closes: #656558
  * Hebrew (Lior Kaplan). 
  * Danish (Joe Hansen).  Closes: #656639
  * Turkish (Atila KOÇ).  Closes: #656901
  
  [ Christian Perrier ]
  * Polish (Michał Kułach).  Closes: #657185

  [ Samuel Thibault ]
  * Use multiarch path for espeak, depend on the multiarched espeak.
  * Drop -1 in libportaudio dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jan 2012 19:47:44 +0100

espeakup (1:0.71-5) unstable; urgency=low

  [ Debconf translations ]
  * Slovak (Ivan Masár).  Closes: #648197
  * Serbian (Karolina Kalic).  Closes: #650966
  * Serbian Latin (Karolina Kalic).  Closes: #650967
  * Kazakh (Baurzhan Muftakhidinov).  Closes: #653346
  * Icelandic (Sveinn í Felli). 
  * Italian (Milo Casagrande).  Closes: #653683

  [ Samuel Thibault ]
  * Fix FTBFS with multiarched portaudio, Bump debian/control dependency
    accordingly.  Closes: #654245.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2012 18:03:13 +0100

espeakup (1:0.71-4) unstable; urgency=low

  [ Debconf translations ]
  * Sinhala; (Danishka Navin).  Closes: #640968
  * Persian (Behrad Eslamifar).  Closes: #642966

  [ Samuel Thibault ]
  * Apply patch from Julian Taylor to fix FTBFS with multiarched libjack,
    thanks! Bump debian/control dependency accordingly.  Closes: #646364.
  * Link espeakup udeb against libsonic.a. Add debian/control dependency
    accordingly.
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening, except for the udeb.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Nov 2011 14:07:54 +0100

espeakup (1:0.71-3) unstable; urgency=low

  [ Debconf translations ]
  * French by Christian Perrier and Samuel Thibault.
  * Finnish (Tapio Lehtonen).  Closes: #631094
  * Czech (Michal Simunek).  Closes: #631131
  * Russian (Yuri Kozlov).  Closes: #631133
  * Swedish (Martin Bagge / brother).  Closes: #631142
  * Portuguese (Rui Branco).  Closes: #631290
  * German (Holger Wansing).  Closes: #631323
  * Spanish; (Francisco Javier Cuadrado).  Closes: #632051
  * Simplified Chinese (YunQiang Su).  Closes: #632099
  * Dutch (Jeroen Schot).  Closes: #633832
  * Bulgarian (Damyan Ivanov).  Closes: #635052

  [ Samuel Thibault ]
  * debian/control: Do not make espeakup-udeb depend on alsa on non-Linux
    archs (Closes: Bug#631540).
  * debian/espeakup-udeb.postinst: move most code to espeakup-udeb.restart,
    installed in /usr/lib/espeakup/. Use lang=no for nb.
  * espeakup.c: create pid file after espeakup is ready only.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Jun 2011 20:17:08 +0200

espeakup (1:0.71-2) unstable; urgency=low

  * debian/control:
    - New binary package espeakup-udeb for speech synthesis in the debian
    installer.
    - Build-Depend on the portaudio version which provides static library.
    - set Maintainer to the Debian Accessibility team.
    - Bump Standards-Version to 3.9.2 (no change needed).
    - Bump debhelper dependency.
    - Build-Depend on po-debconf
  * debian/espeakup.default: Document the ALSA_CARD variable.
  * debian/po: Add templates translation.
  * debian/rules:
    - Install init script in S (closes: Bug#606953).
    - Rework to build udeb.
    - Call debconf-updatepo.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jun 2011 23:51:54 +0200

espeakup (1:0.71-1) unstable; urgency=low

  * Initial release as package separate from speakup, as upstream is actually
    separate.
    Bump the epoch to 1 to get 1:0.71 greater than speakup's 3.1.3.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2009 18:12:58 +0200
